// All components mapping with path for internal routes
// import PaymentType from '@/Pages/list-admin/payment/PaymentType'
import { lazy } from 'react'

const Dashboard = lazy(() => import('@/Pages/protected/Dashboard'))
const IndexSantri = lazy(() => import('@/Pages/list-admin/santri/IndexSantri'))
const PaymentType = lazy(() => import('@/Pages/list-admin/payment/PaymentType'))
const ManualPayment = lazy(() => import('@/Pages/list-admin/payment/ManualPayment'))
const WalletUser = lazy(() => import('@pages/list-admin/wallet/WalletUser'))

console.log(route('dashboard'))

const routes = [
    {
        path: route('dashboard'),
        component: Dashboard,
    },
    {
        path: route('indexSantri'),
        component: IndexSantri,
    },
    {
        path: route('indexPaymentType'),
        component: PaymentType
    },
    {
        path: route('indexManualPayment'),
        component: ManualPayment,
    },
    {
        path: route('walletUser'),
        componenet: WalletUser
    }
]

export default routes
